--- a/res/ari/resource_asterisk.c
+++ b/res/ari/resource_asterisk.c
@@ -194,10 +194,14 @@
 				continue;
 			}
 
-			new_var = ast_variable_new(
-				ast_json_string_get(ast_json_object_get(json_value, "attribute")),
-				ast_json_string_get(ast_json_object_get(json_value, "value")),
-				"");
+			const char *var_name = ast_json_string_get(ast_json_object_get(json_value, "attribute"));
+			const char *var_value = ast_json_string_get(ast_json_object_get(json_value, "value"));
+
+			if (!var_name || !var_value) {
+				continue;
+			}
+
+			new_var = ast_variable_new(var_name, var_value, "");
 			if (!new_var) {
 				ast_variables_destroy(update_set);
 				ast_ari_response_alloc_failed(response);
